---
title: Console.profileEnd()
slug: Web/API/Console/profileEnd
tags:
  - API
  - DOM
  - Debugging
  - Method
  - Non-standard
  - Reference
  - Web Development
  - profileEnd
  - web console
---
<p>{{APIRef("Console API")}}{{Non-standard_header}}</p>

<div class="notecard warning">
<p>Calling this API immediately after console.profile() can cause it to not work. To work around this, call it in a setTimeout with at least 5ms delay. See {{bug(1240249)}}.</p>
</div>

<p>The profileEnd method stops recording a profile previously started with {{DOMxRef("Console.profile()")}}.</p>

<p>You can optionally supply an argument to name the profile. Doing so enables you to stop only that profile if you have multiple profiles being recorded.</p>

<ul>
 <li>if <code>Console.profileEnd()</code> is passed a profile name, and it matches the name of a profile being recorded, then that profile is stopped.</li>
 <li>if <code>Console.profileEnd()</code> is passed a profile name and it does not match the name of a profile being recorded, no changes will be made.</li>
 <li>if <code>Console.profileEnd()</code> is not passed a profile name, the most recently started profile is stopped.</li>
</ul>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">console.profileEnd(<em>profileName</em>);
</pre>

<h2 id="Parameters">Parameters</h2>

<dl>
 <dt><code>profileName</code></dt>
 <dd>The name to give the profile. This parameter is optional.</dd>
</dl>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Console.profileEnd")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("Console.profile()")}}</li>
</ul>
